Importar planilha
curl --request POST \
--url https://api.olie.ai/api/management/spreadsheet-operations/import/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.olie.ai/api/management/spreadsheet-operations/import/{type}"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.olie.ai/api/management/spreadsheet-operations/import/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"spreadsheet_operation": {
"id": "c8f6c4a2-31af-f523-ad00-47b2ce67491e",
"action": "export",
"type": "project",
"status": "completed",
"total_rows": 120,
"processed_rows": 120,
"percentage": 100,
"errors_count": 0,
"metadata": {},
"file_name": "project_2026-06-01-143022.xlsx",
"initiator_type": "App\\Models\\User",
"initiator_id": "ee989a1d-afe3-4ff7-f4fb-bec440e8b372",
"initiator": {
"id": "7b6c3328-3066-e4e3-ae36-911996a826da",
"name": "string",
"avatar_url": "string"
},
"started_at": "2026-04-23T17:57:57.942Z",
"completed_at": "1980-11-02T01:58:58.018Z",
"created_at": "1950-02-26T12:34:00.424Z",
"updated_at": "1955-03-13T19:55:56.035Z"
}
}spreadsheet-operations
Importar planilha
Cria uma operação de import assíncrona (XLSX). O arquivo é processado em background e os erros são consultáveis em /errors.
POST
/
api
/
management
/
spreadsheet-operations
/
import
/
{type}
Importar planilha
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tipo de operação. Atualmente: project, customer ou contact.
Available options:
project, customer, contact Body
multipart/form-data
Arquivo XLSX (até 50MB).
Was this page helpful?
⌘I